# Return disk quota information

This function checks whether a user has enough free space to back up the domain's document root.

Note:

  This function requires that your package includes the AI App Builder feature.

Important:

  When you disable the AI App Builder feature, the system disables this function.

Endpoint: GET /Nova/disk_quota_check
Version: 11.138.0.19
Security: BasicAuth

## Query parameters:

  - `domain` (string)
    The domain to check for available disk space.
    Example: "example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "disk_quota_check"

  - `module` (string)
    The name of the module called.
    Example: "Nova"

  - `result` (object)

  - `result.data` (object)

  - `result.data.available_space` (integer)
    The amount of space available in megabytes (MB).
    Example: 1024

  - `result.data.can_backup` (integer)
    Whether the document root has enough space to make a backup.
* 1 - There is enough space.
* 0 - There is not enough space.
    Enum: 1, 0

  - `result.data.is_docroot_empty` (integer)
    Whether the document root is empty.
* 1 - Document root is empty.
* 0 - Document root is not empty.
    Enum: 1, 0

  - `result.data.required_space` (integer)
    The required amount of space, in megabytes (MB).
    Example: 64

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


